org.apache.lucene.luke.app.desktop.components.dialog.analysis

## Class TokenAttributeDialogFactory

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.dialog.analysis.TokenAttributeDialogFactory

All Implemented Interfaces:
  DialogOpener.DialogFactory

    public final class TokenAttributeDialogFactory
    extends Object
    implements DialogOpener.DialogFactory

Factory of token attribute dialog

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`JDialog` `create(Window owner, String title, int width, int height)`
`static TokenAttributeDialogFactory` `getInstance()`
`void` `setAttributes(List<Analysis.TokenAttribute> attributes)`
`void` `setTerm(String term)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TokenAttributeDialogFactory getInstance()
                                                   throws IOException

Throws:
  `IOException`

#### setTerm

    public void setTerm(String term)

#### setAttributes

    public void setAttributes(List<Analysis.TokenAttribute> attributes)

#### create

    public JDialog create(Window owner,
                          String title,
                          int width,
                          int height)

Specified by:
  `create` in interface `DialogOpener.DialogFactory`